## API Report File for "@fluentui/react-tooltip"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import type { IntrinsicShorthandProps } from '@fluentui/react-utilities';
import type { PositioningShorthand } from '@fluentui/react-positioning';
import * as React_2 from 'react';

// @public
export type OnVisibleChangeData = {
    visible: boolean;
};

// @public
export const renderTooltip: (state: TooltipState) => JSX.Element;

// @public
export const Tooltip: ForwardRefComponent<TooltipProps>;

// @public (undocumented)
export const tooltipClassName = "fui-Tooltip";

// @public
export type TooltipCommons = {
    appearance?: 'inverted';
    content: React_2.ReactNode;
    inverted?: boolean;
    withArrow?: boolean;
    positioning?: PositioningShorthand;
    visible?: boolean;
    onVisibleChange?: (event: React_2.PointerEvent<HTMLElement> | React_2.FocusEvent<HTMLElement> | undefined, data: OnVisibleChangeData) => void;
    triggerAriaAttribute: 'label' | 'labelledby' | 'describedby' | null;
    showDelay: number;
    hideDelay: number;
};

// @public
export type TooltipProps = ComponentProps<TooltipSlots> & Partial<Omit<TooltipCommons, 'content'>> & Pick<TooltipCommons, 'content'>;

// @public
export type TooltipSlots = {
    root: Omit<IntrinsicShorthandProps<'div'>, 'children'> & {
        children?: (React_2.ReactElement<React_2.HTMLAttributes<HTMLElement>> & {
            ref?: React_2.Ref<unknown>;
        }) | ((props: TooltipTriggerProps) => React_2.ReactNode) | null;
    };
};

// @public
export type TooltipState = ComponentState<TooltipSlots> & TooltipCommons & {
    shouldRenderTooltip?: boolean;
    arrowRef?: React_2.Ref<HTMLDivElement>;
    arrowClassName?: string;
};

// @public
export type TooltipTriggerProps = {
    ref?: React_2.Ref<never>;
} & Pick<React_2.HTMLAttributes<HTMLElement>, 'onPointerEnter' | 'onPointerLeave' | 'onFocus' | 'onBlur' | 'aria-describedby' | 'aria-labelledby' | 'aria-label'>;

// @public
export const useTooltip: (props: TooltipProps, ref: React_2.Ref<HTMLDivElement>) => TooltipState;

// @public
export const useTooltipStyles: (state: TooltipState) => TooltipState;

// (No @packageDocumentation comment for this package)

```
